-- FOREIGN TABLE: oik.oik_cur_ti

-- DROP FOREIGN TABLE IF EXISTS oik.oik_cur_ti;

CREATE FOREIGN TABLE IF NOT EXISTS oik.oik_cur_ti(
    name text OPTIONS (field_id '1') NULL COLLATE pg_catalog."default",
    tm_type smallint OPTIONS (field_id '2') NULL,
    tm_type_name text OPTIONS (field_id '3') NULL COLLATE pg_catalog."default",
    tma integer OPTIONS (field_id '4') NULL,
    tma_str character varying(20) OPTIONS (field_id '10001') NULL COLLATE pg_catalog."default",
    ch smallint OPTIONS (field_id '5') NULL,
    rtu smallint OPTIONS (field_id '6') NULL,
    point smallint OPTIONS (field_id '7') NULL,
    class_id smallint OPTIONS (field_id '8') NULL,
    group_id smallint OPTIONS (field_id '9') NULL,
	
    flags integer OPTIONS (field_id '50') NULL,
    update_time timestamp without time zone OPTIONS (field_id '51') NULL,
    change_time timestamp without time zone OPTIONS (field_id '101') NULL,
    tm_time timestamp without time zone OPTIONS (field_id '102') NULL,
    ex_flags integer OPTIONS (field_id '103') NULL,
    flags2 smallint OPTIONS (field_id '104') NULL,
    provider text OPTIONS (field_id '105') NULL COLLATE pg_catalog."default",
	
    v_val real OPTIONS (field_id '401') NULL,
    v_load real OPTIONS (field_id '402') NULL,
    v_unit character(10) OPTIONS (field_id '403') NULL COLLATE pg_catalog."default",
    v_format text OPTIONS (field_id '404') NULL COLLATE pg_catalog."default",
    v_counter_format text OPTIONS (field_id '405') NULL COLLATE pg_catalog."default",
    v_mult real OPTIONS (field_id '406') NULL,
    v_load_mult real OPTIONS (field_id '407') NULL,
    v_dif_interval integer OPTIONS (field_id '408') NULL,
    v_dtype integer OPTIONS (field_id '409') NULL,
	
    evblk_unblktime timestamp without time zone OPTIONS (field_id '1121') NULL
)
    SERVER oik_server
    OPTIONS (table_id '3');

ALTER FOREIGN TABLE oik.oik_cur_ti
    OWNER TO postgres;

GRANT SELECT ON TABLE oik.oik_cur_ti TO oik_group_public;

GRANT SELECT ON TABLE oik.oik_cur_ti TO oik_group_super;

GRANT ALL ON TABLE oik.oik_cur_ti TO postgres;



-- FOREIGN TABLE: oik.oik_retro_ti

-- DROP FOREIGN TABLE IF EXISTS oik.oik_retro_ti

CREATE FOREIGN TABLE IF NOT EXISTS oik.oik_retro_ti(
    retro_num smallint OPTIONS (field_id '501') NULL,
	
    name text OPTIONS (field_id '1') NULL COLLATE pg_catalog."default",
    tm_type smallint OPTIONS (field_id '2') NULL,
    tm_type_name text OPTIONS (field_id '3') NULL COLLATE pg_catalog."default",
    tma integer OPTIONS (field_id '4') NULL,
    tma_str character varying(20) OPTIONS (field_id '10001') NULL COLLATE pg_catalog."default",
    ch smallint OPTIONS (field_id '5') NULL,
    rtu smallint OPTIONS (field_id '6') NULL,
    point smallint OPTIONS (field_id '7') NULL,
    class_id smallint OPTIONS (field_id '8') NULL,
    group_id smallint OPTIONS (field_id '9') NULL,
	
    flags integer OPTIONS (field_id '50') NULL,
    update_time timestamp without time zone OPTIONS (field_id '51') NULL,
    change_time timestamp without time zone OPTIONS (field_id '101') NULL,
    tm_time timestamp without time zone OPTIONS (field_id '102') NULL,
    ex_flags integer OPTIONS (field_id '103') NULL,
    flags2 smallint OPTIONS (field_id '104') NULL,
    provider text OPTIONS (field_id '105') NULL COLLATE pg_catalog."default",
	
    v_val real OPTIONS (field_id '401') NULL,
    v_load real OPTIONS (field_id '402') NULL,
    v_unit character(10) OPTIONS (field_id '403') NULL COLLATE pg_catalog."default",
    v_format text OPTIONS (field_id '404') NULL COLLATE pg_catalog."default",
    v_counter_format text OPTIONS (field_id '405') NULL COLLATE pg_catalog."default",
    v_mult real OPTIONS (field_id '406') NULL,
    v_load_mult real OPTIONS (field_id '407') NULL,
    v_dif_interval integer OPTIONS (field_id '408') NULL,
    v_dtype integer OPTIONS (field_id '409') NULL
)
    SERVER oik_server
    OPTIONS (table_id '6');

ALTER FOREIGN TABLE oik.oik_retro_ti
    OWNER TO postgres;

GRANT SELECT ON TABLE oik.oik_retro_ti TO oik_group_super;

GRANT ALL ON TABLE oik.oik_retro_ti TO postgres;

GRANT SELECT ON TABLE oik.oik_retro_ti TO postgres;